<?php
/**
 * Adk Ad Cookies
 * Version: 1.0
 * Official support: http://www.smfpersonal.net
 * Author: ^Heracles^
 * 2014
 * 
 * version smf 2.0*
 */

	if (!defined('SMF'))
		die('Hacking attempt...');

function AdkAc_adminareas(&$adminAreas)
{
	global $txt;
	
	$adminAreas['config']['areas']['AdkAc'] = array(
		'label' => $txt['AdkAc_name'],
		'file' => 'Subs-AdkAc.php',
		'function' => 'AdkAc_settings',
		'icon' => 'themes.gif',	
	);
}

function AdkAc_load()
{
	global $context, $settings, $modSettings;

	loadLanguage('AdkAc');
	if ((!empty($_REQUEST['action'])) && ($_REQUEST['action'] == 'post2')) {}
	else {
		if (!empty($modSettings['AdkAc_enable'])) {
			$context['html_headers'] .= '
				<link rel="stylesheet" type="text/css" href="'.$settings['default_theme_url'].'/css/AdkAc.css" />';
			AdkAc();
		}
	}

}

function AdkAc_Buttons()
{
	global $context;

	if ($context['current_action'] == 'credits')
		$context['copyrights']['mods'][] = '&nbsp;&nbsp;&nbsp;&nbsp;&#8226; <a target="_blank" href="http://www.smfpersonal.net/"><b>Adk Ad Cookies</b></a> &copy; 2014 Adk Team';
}


// Administracion
function AdkAc_settings($return_config = false)
{
	global $context, $txt, $scripturl, $sourcedir, $settings;

	require_once($sourcedir . '/ManageServer.php');

	isAllowedTo('admin_forum');

	$config_vars = array(
		array('title', 'AdkAc_title'),
		array('check', 'AdkAc_enable'),
		array('select', 'AdkAc_view', array('spa' => $txt['AdkAc_view_spa'],'all' => $txt['AdkAc_view_all'])),
		array('select', 'AdkAc_position', array('top' => $txt['AdkAc_position_top'],'bottom' => $txt['AdkAc_position_bottom'])),
		'',
		array('text', 'AdkAc_background', '10', 'postinput' => $txt['AdkAc_ej']),
		array('text', 'AdkAc_letter', '10', 'postinput' => $txt['AdkAc_ej']),
		array('text', 'AdkAc_cborder', '10', 'postinput' => $txt['AdkAc_ej']),
		array('text', 'AdkAc_clink', '10', 'postinput' => $txt['AdkAc_ej']),
		array('text', 'AdkAc_button', '10', 'postinput' => $txt['AdkAc_ej']),
		array('select', 'AdkAc_border', array('1px' => '1px','2px' => '2px','3px' => '3px')),
		array('select', 'AdkAc_trans', array('1' => $txt['AdkAc_trans_no'],'0.8' => $txt['AdkAc_trans_medium'],'0.5' => $txt['AdkAc_trans_high'])),
	);

	if ($return_config)
		return $config_vars;

	$context['page_title'] = $txt['AdkAc_name'];
	$context['sub_template'] = 'show_settings';

	if (isset($_GET['save'])) {
		checkSession();

		saveDBSettings($config_vars);
		redirectexit('action=admin;area=AdkAc;'.$context['session_var'].'='.$context['session_id'].'');
	}

	$context['post_url'] = $scripturl . '?action=admin;area=AdkAc;save;'.$context['session_var'].'='.$context['session_id'].'';
	$context['settings_insert_above'] = $txt['AdkAc_general_above'];	
	$context['settings_insert_below'] = $txt['AdkAc_creditadmin'];
	prepareDBSettingContext($config_vars);
}


// Block
function AdkAc()
{
	global $context, $modSettings;

	loadTemplate('AdkAc');
	$context['template_layers'][] = 'AdkAc';

	$context['AdkAc'] = array(
		'spa' => !empty($modSettings['AdkAc_view']) && $modSettings['AdkAc_view'] == 'spa' ? '_es' : '',
		'letter' => !empty($modSettings['AdkAc_letter']) ? $modSettings['AdkAc_letter'] : '#000',
		'cborder' => !empty($modSettings['AdkAc_cborder']) ? $modSettings['AdkAc_cborder'] : '#C5C5C5',
		'background' => !empty($modSettings['AdkAc_background']) ? $modSettings['AdkAc_background'] : '#F5F5F5',
		'link' => !empty($modSettings['AdkAc_clink']) ? $modSettings['AdkAc_clink'] : '#334466',
		'top' => !empty($modSettings['AdkAc_position']) && $modSettings['AdkAc_position'] == 'top' ? 'top' : 'bottom',
		'border' => !empty($modSettings['AdkAc_border']) ? $modSettings['AdkAc_border'] : '1px',
		'button' => !empty($modSettings['AdkAc_button']) ? $modSettings['AdkAc_button'] : '#99ABBF',
		'trans' => !empty($modSettings['AdkAc_trans']) ? $modSettings['AdkAc_trans'] : '1',
	);

	if (!empty($context['AdkAc']['spa']))
		$context['html_headers'] .= '
			<script type="text/javascript" src="http://j.maxmind.com/app/geoip.js"></script>';
}
?>